Search:

Type: Posts; User: tombu

Page 1 of 2 1 2

Search: Search took 0.01 seconds.

  1. Example: (tblsearch "dimstyle" "SCHAAL_1-10")...

    Example:
    (tblsearch "dimstyle" "SCHAAL_1-10")
    will returns that entry. If no entry is found, tblsearch returns nil. Use it as a test and modify the dimstyle if true, add it otherwise.
  2. Replies
    7
    Views
    326

    Yes For 30° try ^P'snapang;30 in the macro ...

    Yes


    For 30° try ^P'snapang;30 in the macro



    Try ^P'snapang
  3. See post:...

    See post: http://www.cadtutor.net/forum/showthread.php?91615-.LIN-file-missing-and-i-need-to-copy-edit-and-existing-linetype!#2
  4. Templates and Design Center are the key to having...

    Templates and Design Center are the key to having them available. I'd also suggest replacing dimension styles for all those scales with one annotative one you could use in any scaled viewport or...
  5. Your Linetype: *125_LINE,125 line...

    Your Linetype:

    *125_LINE,125 line ----125----125----125----125----125---
    A,0.0,-500.0,["%%c125mm",Standard,s=50,x=-50,y=-25],-500.0
    Alt+0216 works for Ø as well. My reference for Characters:...
  6. Replies
    9
    Views
    300

    See other thread:...

    See other thread: http://www.cadtutor.net/forum/showthread.php?91404-Lisp-rotine-for-simple-line-commands#5
  7. Replies
    13
    Views
    333

    No, your best bet is a designated layer with a...

    No, your best bet is a designated layer with a lineweight.
  8. Replies
    8
    Views
    276

    Saw your other thread and modified the lisp to be...

    Saw your other thread and modified the lisp to be able to create whatever using whatever layer, linetype, and lineweight you want.
    Added *error* function in case user hits Esc or enters another...
  9. Replies
    11
    Views
    525

    Please understand Paper Space was introduced for...

    Please understand Paper Space was introduced for plotting in r11 about 23 years ago. You could show them how to use the F1 key, then if they still need help show them how to use the forums. If the...
  10. Replies
    8
    Views
    276

    1. Look at the defun function 2. You needed an...

    1. Look at the defun function
    2. You needed an *ERROR* function in case someone hits Esc or enters anoher command.
    3. CeLtype is the system variable for current entity linetype.
    4. This thread...
  11. Thread: Custom Menu

    by tombu
    Replies
    10
    Views
    532

    What version and vertical are you running and...

    What version and vertical are you running and what version of Windows? The CUI Partial Menus list all the additional menus and Plug-ins added. It should show up in there.
  12. Replies
    8
    Views
    276

    Try: ;Create Center line; (defun C:tozacentre...

    Try:

    ;Create Center line;
    (defun C:tozacentre (/ oldlay)
    (setq oldlay (getvar "clayer"))
    (setvar "clayer" "Centre")
    (command "_line")
    (while (= (getvar "cmdactive") 1 ) (command...
  13. Replies
    26
    Views
    767

    Try this:...

    Try this:
    'setvar;gridmode;$M=$(if,$(and,16384,$(getvar,osmode)),0,1);'setvar;snapmode;$M=$(if,$(and,16384,$(getvar,osmode)),0,1);^F


    Gotta take that space out again…
  14. Replies
    26
    Views
    767

    It only toggles gridmode off/on. You have to...

    It only toggles gridmode off/on. You have to already have grid display options set in the drawing. Using ddrmodes I checked 2D model space under Grid style. I've never used grid, but this turns...
  15. Replies
    7
    Views
    399

    Adapted from SLW210's post. Select and copy...

    Adapted from SLW210's post.
    Select and copy objects, then paste as block, explode, and group previous selection.
    ^C^C_pasteblock;\_explode;_last;_-group;_create;*;;_previous;;
    I just replaced...
  16. Replies
    26
    Views
    767

    A space appears to be in osmode in the macro I...

    A space appears to be in osmode in the macro I posted, you need to remove it. Sorry, I'm not as familiar with posting code on this site. The DIESEL part sets gridmode the same as osmode, then the...
  17. Replies
    26
    Views
    767

    This Macro will do it:...

    This Macro will do it: 'setvar;gridmode;$M=$(if,$(and,16384,$(getvar,osmode)),0,1);^F


    DIESEL works best for macros. Using lisp in a macro can cause issues if you use them while another lisp is...
  18. Replies
    6
    Views
    436

    Better yet use the ltypeshp.shp shapes that...

    Better yet use the ltypeshp.shp shapes that install with AutoCAD instead of using text styles. Similar linetype:
    *LARW,Limited Access R/W -per FDOT's AUTOCAD Users Supplement ----- / - / - / -----...
  19. Replies
    20
    Views
    4,690

    I'd like to add all my layer filter properties...

    I'd like to add all my layer filter properties with lisp. Copying the properties from the layer filter dialog box works for most. Only ones I cannot figure out are for "Status". They only show as...
  20. You could simply put the text in paper space at...

    You could simply put the text in paper space at the heignt you want. If you want it in model space just use the chspace command.
Results 1 to 20 of 25
Page 1 of 2 1 2